<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link href='dialog.css' rel='stylesheet' type='text/css'>
<script language=javascript src="dialog.js"></script>

<script language="javascript">
var sAction = URLParams["action"] ;
var sTitle = "添加";
var oControl;
var oSeletion;
var sLabel = "";
if (sAction=="EDIT"){
	oSelection = dialogArguments.Editor.document.selection.createRange();
	if (oSelection.item(0).tagName == "IMG"){
		sTitle = "修改";
		oControl = oSelection.item(0);
		sLabel = oControl.alt;
		sLabel = sLabel.replace("#","")
		sLabel = sLabel.replace("#","")
		//sLabel = sLabel.replace("#{%","")
		//sLabel = sLabel.replace("$}#","")
		//sLabel = sLabel.replace("%}#","")
		sLabel = sLabel.replace("[!","<")
		sLabel = sLabel.replace("!]",">")
		sLabel = sLabel.replace("[!","<")
		sLabel = sLabel.replace("!]",">")
		}
	else {
		window.returnValue = null;
		window.close();
	}
}
document.write("<title>标签属性（" + sTitle + "）</title>");

function InitDocument(){
	d_label.value = sLabel;
}

function ok(){
	// 返回值
	sLabel = "#" + d_label.value + "#";
	sLabel = sLabel.replace("<","[!")
	sLabel = sLabel.replace(">","!]")
	sLabel = sLabel.replace("<","[!")
	sLabel = sLabel.replace(">","!]")
	if (sAction == "MODI") {
	oControl.alt = sLabel;
	}
	else {
		var sHTML = "<IMG alt='"+sLabel+"' src='"+config.WebDir+"Editor/Images/Template/Label.gif' border=0 $>";
		dialogArguments.insertHTML(sHTML);
	}
	window.returnValue = null;
	window.close();
}
</script>
<BODY bgColor=menu onload="InitDocument()">
<table border=0 cellpadding=0 cellspacing=5 align=center width="100%">
	<tr>
		<td>
		<fieldset>
		<legend>标签属性</legend>
		<table border=0 cellpadding=5 cellspacing=0 width="100%">
		<tr><td>
			<TEXTAREA style="width:100%;height:180" id=d_label value=""></TEXTAREA>
		</td></tr>
		</table>
		</fieldset>
		</td>
	</tr>
	<tr><td noWrap align=center colspan=2><input type=submit value="  确定  " id=Ok onclick="ok()">&nbsp;&nbsp;<input type=button value="  取消  " onclick="window.close();"></td></tr>
</table>
</body>
</html>
